/*--------------------------------------------------------------------------
   File: salesItem
   ------------------------------------------------------------------------*/
package com.networksByteDesign.eMarket.inventory;

public class salesItem
{
    private int mId = 0;
    private String mName = null;

    /* =====================================================================
       salesItem Constructor
       ================================================================== */
    public salesItem(int id, String name)
    {
        mId = id;
        mName = name;
    }

    /* =====================================================================
       getId
       ================================================================== */
    public int getId()
    {
        return mId;
    }

    /* =====================================================================
       setId
       ================================================================== */
    public void setId(int id)
    {
        System.out.println("ID = " + id);

        if(id <= 0)
        {
            throw new IllegalArgumentException(
                "Id must be a valid id #");
        }

        mId = id;
    }

    /* =====================================================================
       getName
       ================================================================== */
    public String getName()
    {
        return mName;
    }

    /* =====================================================================
       setName
       ================================================================== */
    public void setName(String name)
    {
        System.out.println("Name = " + name);

        if((name == null) || (name.length() == 0))
        {
            throw new IllegalArgumentException(
                "Name must be populated");
        }

        mName = name;
    }
}
