package com.networksByteDesign.util;

// Ant libraries
import org.apache.tools.ant.BuildEvent;
import org.apache.tools.ant.BuildListener;
import org.apache.tools.ant.taskdefs.optional.sound.AntSoundPlayer;

// Java libraries
import java.io.File;

public class FooListener implements BuildListener
{
    public FooListener()
    {
        player.addBuildSuccessfulSound(new File("ok.wav"),
                                       1,
                                       new Long(400));

        player.addBuildFailedSound(new File("drama.wav"),
                                   1,
                                   new Long(400));
    }

    public void messageLogged(BuildEvent event) {}

    public void buildStarted(BuildEvent event) {}

    public void buildFinished(BuildEvent event) {}

    public void targetStarted(BuildEvent event) {}

    public void targetFinished(BuildEvent event) {}

    public void taskStarted(BuildEvent event) {}

    public void taskFinished(BuildEvent event)
    {
        player.buildFinished(event);
    }
    
    private AntSoundPlayer player = new AntSoundPlayer();
}
